Get a list of all Carrier Configurations by Group
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/carrier_configurations \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/carrier_configurations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/carrier_configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"carrier_group_id": "9100084",
"carrier_id": "d0003042-eaae-4491-b219-4825456a3d16",
"configuration": {
"bill_groups": [
{
"bill_group_description": "All Members",
"bill_group_number": 10001,
"bill_group_status": "open"
}
],
"member_groups": [
{
"member_group_key": 2613038,
"member_group_name": "MEMBERS A",
"member_group_status": "open"
},
{
"member_group_key": 2613037,
"member_group_name": "MEMBERS B",
"member_group_status": "open"
}
],
"policy_number": "9100084"
},
"group_id": "2705bb9f-3c90-4400-a4e7-0bc9d48e677c"
}
]Configurations
Get Carrier Configurations for Group
Get a list of carrier configurations for a group.
GET
/
api
/
v1
/
groups
/
{group_id}
/
carrier_configurations
Get a list of all Carrier Configurations by Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the group for which you would like to view carrier configurations.
Example:
"2705bb9f-3c90-4400-a4e7-0bc9d48e677c"
Query Parameters
The relative date on which to view the state of the record
Response
200 - application/json
Successful Response - Returns all matching Carrier Configurations
Unique identifier of the carrier in Noyo
Carrier configuration details for the group
Unique identifier of the group in Noyo
Unique identifier of the group carrier configuration in Noyo
Version of the group carrier configuration record
Unique identifier for the group in the carrier system
Show child attributes
Show child attributes
Was this page helpful?
